import { __assign, __rest } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import cx from 'classnames';
import { forwardRef } from 'react';
var Icon = forwardRef(function (_a, ref) {
    var className = _a.className, spin = _a.spin, type = _a.type, otherProps = __rest(_a, ["className", "spin", "type"]);
    return (_jsx("i", __assign({ ref: ref, className: cx('zenticon', "zenticon-" + type, className, {
            'zenticon-spin': spin,
        }) }, otherProps, { "data-zv": 'v10.0.12' }), void 0));
});
Icon.displayName = 'ZentIcon';
export { Icon };
export default Icon;
